Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.jsp
Class JspException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.servlet.jsp.JspException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  JspTagException

public class JspException
extends java.lang.Exception

A generic exception known to the JSP engine; uncaught JspExceptions will result in an invocation of the errorpage machinery.

See Also:
  Serialized Form

Constructor Summary
`JspException()` Construct a JspException
`JspException(java.lang.String msg)` Constructs a new JSP exception with the specified message.
`JspException(java.lang.String message, java.lang.Throwable rootCause)` Constructs a new JSP exception when the JSP needs to throw an exception and include a message about the "root cause" exception that interfered with its normal operation, including a description message.
`JspException(java.lang.Throwable rootCause)` Constructs a new JSP exception when the JSP needs to throw an exception and include a message about the "root cause" exception that interfered with its normal operation.

Method Summary
`java.lang.Throwable` | `getRootCause()` Returns the exception that caused this JSP exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JspException

    public JspException()

  Construct a JspException

### JspException

    public JspException(java.lang.String msg)

  Constructs a new JSP exception with the specified message. The message can be written to the server log and/or displayed for the user.
  Parameters:
    `msg` - a `String` specifying the text of the exception message

### JspException

    public JspException(java.lang.String message,
                        java.lang.Throwable rootCause)

  Constructs a new JSP exception when the JSP needs to throw an exception and include a message about the "root cause" exception that interfered with its normal operation, including a description message.
  Parameters:
    `message` - a `String` containing the text of the exception message
    `rootCause` - the `Throwable` exception that interfered with the servlet's normal operation, making this servlet exception necessary

### JspException

    public JspException(java.lang.Throwable rootCause)

  Constructs a new JSP exception when the JSP needs to throw an exception and include a message about the "root cause" exception that interfered with its normal operation. The exception's message is based on the localized message of the underlying exception.

  This method calls the `getLocalizedMessage` method on the `Throwable` exception to get a localized exception message. When subclassing `JspException`, this method can be overridden to create an exception message designed for a specific locale.

  Parameters:
    `rootCause` - the `Throwable` exception that interfered with the JSP's normal operation, making the JSP exception necessary

Method Detail

### getRootCause

    public java.lang.Throwable getRootCause()

  Returns the exception that caused this JSP exception.
  Returns:
    the `Throwable` that caused this JSP exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 The Apache Software Foundation. All Rights Reserved.